diff --git a/base/common/src/com/netscape/cms/servlet/request/model/CertReviewResponse.java b/base/common/src/com/netscape/certsrv/cert/CertReviewResponse.java
similarity index 95%
rename from base/common/src/com/netscape/cms/servlet/request/model/CertReviewResponse.java
rename to base/common/src/com/netscape/certsrv/cert/CertReviewResponse.java
index 3bec6bada0c11f6d65e55652b567d0932e2e6f57..776c905678989ef0d9bad471126e74b65b86ad74 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/CertReviewResponse.java
+++ b/base/common/src/com/netscape/certsrv/cert/CertReviewResponse.java
@@ -15,7 +15,7 @@
 //(C) 2012 Red Hat, Inc.
 //All rights reserved.
 //--- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.request.model;
+package com.netscape.certsrv.cert;
 
 import java.io.ByteArrayOutputStream;
 import java.util.ArrayList;
@@ -30,12 +30,12 @@ import javax.xml.bind.annotation.XmlElement;
 import javax.xml.bind.annotation.XmlRootElement;
 import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
 
+import com.netscape.certsrv.profile.PolicyDefault;
+import com.netscape.certsrv.profile.ProfileAttribute;
+import com.netscape.certsrv.profile.ProfilePolicy;
+import com.netscape.certsrv.profile.ProfilePolicySet;
 import com.netscape.certsrv.request.RequestId;
 import com.netscape.certsrv.request.RequestIdAdapter;
-import com.netscape.cms.servlet.profile.model.PolicyDefault;
-import com.netscape.cms.servlet.profile.model.ProfileAttribute;
-import com.netscape.cms.servlet.profile.model.ProfilePolicy;
-import com.netscape.cms.servlet.profile.model.ProfilePolicySet;
 
 @XmlRootElement
 @XmlAccessorType(XmlAccessType.FIELD)
diff --git a/base/common/src/com/netscape/cms/servlet/cert/model/CertRevokeRequest.java b/base/common/src/com/netscape/certsrv/cert/CertRevokeRequest.java
similarity index 99%
rename from base/common/src/com/netscape/cms/servlet/cert/model/CertRevokeRequest.java
rename to base/common/src/com/netscape/certsrv/cert/CertRevokeRequest.java
index ef9ccebc3891e386f154803104d0a1a68bef861c..7b86286cedafe224eca05135b3b3080305e49f0d 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/model/CertRevokeRequest.java
+++ b/base/common/src/com/netscape/certsrv/cert/CertRevokeRequest.java
@@ -16,7 +16,7 @@
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
 
-package com.netscape.cms.servlet.cert.model;
+package com.netscape.certsrv.cert;
 
 import java.io.StringReader;
 import java.io.StringWriter;
diff --git a/base/common/src/com/netscape/cms/servlet/cert/model/CertSearchRequest.java b/base/common/src/com/netscape/certsrv/cert/CertSearchRequest.java
similarity index 99%
rename from base/common/src/com/netscape/cms/servlet/cert/model/CertSearchRequest.java
rename to base/common/src/com/netscape/certsrv/cert/CertSearchRequest.java
index 54b9ad8e68c058c8dd3145d02a930236006fdf41..5ae8596ba4a6c20de8be8c7bab8f131ed5fd3420 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/model/CertSearchRequest.java
+++ b/base/common/src/com/netscape/certsrv/cert/CertSearchRequest.java
@@ -18,7 +18,7 @@
 
 // TODO: This class is brute force. Come up with a way to divide these search filter entities into
 // smaller classes
-package com.netscape.cms.servlet.cert.model;
+package com.netscape.certsrv.cert;
 
 import java.io.Reader;
 import java.util.Calendar;
diff --git a/base/common/src/com/netscape/cms/servlet/cert/model/CertUnrevokeRequest.java b/base/common/src/com/netscape/certsrv/cert/CertUnrevokeRequest.java
similarity index 98%
rename from base/common/src/com/netscape/cms/servlet/cert/model/CertUnrevokeRequest.java
rename to base/common/src/com/netscape/certsrv/cert/CertUnrevokeRequest.java
index 98d24d36367cc2c511e870d5f1baba8d3885b53b..7885482be0a4afa734fbf82abe3102675f620de9 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/model/CertUnrevokeRequest.java
+++ b/base/common/src/com/netscape/certsrv/cert/CertUnrevokeRequest.java
@@ -16,7 +16,7 @@
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
 
-package com.netscape.cms.servlet.cert.model;
+package com.netscape.certsrv.cert;
 
 import java.io.StringReader;
 import java.io.StringWriter;
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/KeyArchivalRequest.java b/base/common/src/com/netscape/certsrv/key/KeyArchivalRequest.java
similarity index 98%
rename from base/common/src/com/netscape/cms/servlet/request/model/KeyArchivalRequest.java
rename to base/common/src/com/netscape/certsrv/key/KeyArchivalRequest.java
index 9cd544ff8117dec9b72b77d2fee5d546b8192d99..2d2d84c945695da5084b58dd21a3ea8fbbe5930c 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/KeyArchivalRequest.java
+++ b/base/common/src/com/netscape/certsrv/key/KeyArchivalRequest.java
@@ -19,7 +19,7 @@
 /**
  *
  */
-package com.netscape.cms.servlet.request.model;
+package com.netscape.certsrv.key;
 
 import javax.ws.rs.core.MultivaluedMap;
 import javax.xml.bind.annotation.XmlAccessType;
diff --git a/base/common/src/com/netscape/cms/servlet/key/model/KeyData.java b/base/common/src/com/netscape/certsrv/key/KeyData.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/key/model/KeyData.java
rename to base/common/src/com/netscape/certsrv/key/KeyData.java
index 2ff2b5d0c501191510f1211bc8c64baa12879095..63c0591c24c6d1e5a8615304d1e121e072cdbefb 100644
--- a/base/common/src/com/netscape/cms/servlet/key/model/KeyData.java
+++ b/base/common/src/com/netscape/certsrv/key/KeyData.java
@@ -19,7 +19,7 @@
 /**
  *
  */
-package com.netscape.cms.servlet.key.model;
+package com.netscape.certsrv.key;
 
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlRootElement;
diff --git a/base/common/src/com/netscape/cms/servlet/key/model/KeyDataInfo.java b/base/common/src/com/netscape/certsrv/key/KeyDataInfo.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/key/model/KeyDataInfo.java
rename to base/common/src/com/netscape/certsrv/key/KeyDataInfo.java
index 6fd9649fb8ce11f47b9f75e53ba5784ee52467b9..6f4751dcc73fa79c70cabe3b4bdefd3d3de863ec 100644
--- a/base/common/src/com/netscape/cms/servlet/key/model/KeyDataInfo.java
+++ b/base/common/src/com/netscape/certsrv/key/KeyDataInfo.java
@@ -18,7 +18,7 @@
 /**
  *
  */
-package com.netscape.cms.servlet.key.model;
+package com.netscape.certsrv.key;
 
 
 import javax.xml.bind.annotation.XmlAccessType;
diff --git a/base/common/src/com/netscape/cms/servlet/key/model/KeyDataInfos.java b/base/common/src/com/netscape/certsrv/key/KeyDataInfos.java
similarity index 96%
rename from base/common/src/com/netscape/cms/servlet/key/model/KeyDataInfos.java
rename to base/common/src/com/netscape/certsrv/key/KeyDataInfos.java
index 79e5add958de1bb32d2ac1bdcd3097b090e682a9..c0482029960e06f913eff7c8d8c3c93477567ac2 100644
--- a/base/common/src/com/netscape/cms/servlet/key/model/KeyDataInfos.java
+++ b/base/common/src/com/netscape/certsrv/key/KeyDataInfos.java
@@ -15,7 +15,7 @@
 // (C) 2012 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.key.model;
+package com.netscape.certsrv.key;
 
 import java.util.Collection;
 import java.util.List;
@@ -24,7 +24,7 @@ import javax.xml.bind.annotation.XmlElementRef;
 import javax.xml.bind.annotation.XmlRootElement;
 import javax.xml.bind.annotation.XmlTransient;
 
-import com.netscape.cms.servlet.base.model.Link;
+import com.netscape.certsrv.base.Link;
 
 @XmlRootElement(name = "SecurityDataInfos")
 public class KeyDataInfos {
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/KeyRecoveryRequest.java b/base/common/src/com/netscape/certsrv/key/KeyRecoveryRequest.java
similarity index 98%
rename from base/common/src/com/netscape/cms/servlet/request/model/KeyRecoveryRequest.java
rename to base/common/src/com/netscape/certsrv/key/KeyRecoveryRequest.java
index 3cb17d283429e1eabb009ffe2a8c883c94a59c1c..d14f612418cfbd2c2c18baed8873330041d67672 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/KeyRecoveryRequest.java
+++ b/base/common/src/com/netscape/certsrv/key/KeyRecoveryRequest.java
@@ -19,7 +19,7 @@
 /**
  *
  */
-package com.netscape.cms.servlet.request.model;
+package com.netscape.certsrv.key;
 
 import javax.ws.rs.core.MultivaluedMap;
 import javax.xml.bind.annotation.XmlAccessType;
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/KeyRequestInfo.java b/base/common/src/com/netscape/certsrv/key/KeyRequestInfo.java
similarity index 95%
rename from base/common/src/com/netscape/cms/servlet/request/model/KeyRequestInfo.java
rename to base/common/src/com/netscape/certsrv/key/KeyRequestInfo.java
index 91d5f82104f5f0aea4a61e93965fe9843bbbe2ea..2a0e062e5be3f1c7c92272b2877f86f35a2ef0d5 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/KeyRequestInfo.java
+++ b/base/common/src/com/netscape/certsrv/key/KeyRequestInfo.java
@@ -16,7 +16,7 @@
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
 
-package com.netscape.cms.servlet.request.model;
+package com.netscape.certsrv.key;
 
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
@@ -24,6 +24,7 @@ import javax.xml.bind.annotation.XmlElement;
 import javax.xml.bind.annotation.XmlRootElement;
 
 import com.netscape.certsrv.dbs.keydb.KeyId;
+import com.netscape.certsrv.request.CMSRequestInfo;
 
 @XmlRootElement(name = "SecurityDataRequestInfo")
 @XmlAccessorType(XmlAccessType.FIELD)
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/KeyRequestInfos.java b/base/common/src/com/netscape/certsrv/key/KeyRequestInfos.java
similarity index 95%
rename from base/common/src/com/netscape/cms/servlet/request/model/KeyRequestInfos.java
rename to base/common/src/com/netscape/certsrv/key/KeyRequestInfos.java
index dc1b6a5e4c8392a56fb2ec9471ebac52fb6d512f..67e6fdf5cae841325c0e57cd138fb579b25f9c24 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/KeyRequestInfos.java
+++ b/base/common/src/com/netscape/certsrv/key/KeyRequestInfos.java
@@ -15,7 +15,7 @@
 // (C) 2011 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.request.model;
+package com.netscape.certsrv.key;
 
 import java.util.Collection;
 import java.util.List;
@@ -24,7 +24,7 @@ import javax.xml.bind.annotation.XmlElementRef;
 import javax.xml.bind.annotation.XmlRootElement;
 import javax.xml.bind.annotation.XmlTransient;
 
-import com.netscape.cms.servlet.base.model.Link;
+import com.netscape.certsrv.base.Link;
 
 @XmlRootElement(name = "SecurityDataRequestInfos")
 public class KeyRequestInfos {
diff --git a/base/common/src/com/netscape/cms/servlet/request/KeyRequestResource.java b/base/common/src/com/netscape/certsrv/key/KeyRequestResource.java
similarity index 91%
rename from base/common/src/com/netscape/cms/servlet/request/KeyRequestResource.java
rename to base/common/src/com/netscape/certsrv/key/KeyRequestResource.java
index d583d9580559e671ae7aa77a1438ce893a8f97cc..7fecd06106a92aaad2239a2198b3f1d137eb4df0 100644
--- a/base/common/src/com/netscape/cms/servlet/request/KeyRequestResource.java
+++ b/base/common/src/com/netscape/certsrv/key/KeyRequestResource.java
@@ -1,4 +1,4 @@
-package com.netscape.cms.servlet.request;
+package com.netscape.certsrv.key;
 
 import javax.ws.rs.Consumes;
 import javax.ws.rs.DefaultValue;
@@ -12,10 +12,6 @@ import javax.ws.rs.core.MediaType;
 import javax.ws.rs.core.MultivaluedMap;
 
 import com.netscape.certsrv.request.RequestId;
-import com.netscape.cms.servlet.request.model.KeyArchivalRequest;
-import com.netscape.cms.servlet.request.model.KeyRequestInfo;
-import com.netscape.cms.servlet.request.model.KeyRequestInfos;
-import com.netscape.cms.servlet.request.model.KeyRecoveryRequest;
 
 @Path("agent/keyrequests")
 public interface KeyRequestResource {
diff --git a/base/common/src/com/netscape/cms/servlet/key/KeyResource.java b/base/common/src/com/netscape/certsrv/key/KeyResource.java
similarity index 87%
rename from base/common/src/com/netscape/cms/servlet/key/KeyResource.java
rename to base/common/src/com/netscape/certsrv/key/KeyResource.java
index 948f2ff992ec753e4a343f4668cff16fe155c721..a499ca11fdcd43177bc7e858787ac2fbf4c1966a 100644
--- a/base/common/src/com/netscape/cms/servlet/key/KeyResource.java
+++ b/base/common/src/com/netscape/certsrv/key/KeyResource.java
@@ -1,4 +1,4 @@
-package com.netscape.cms.servlet.key;
+package com.netscape.certsrv.key;
 
 import javax.ws.rs.Consumes;
 import javax.ws.rs.DefaultValue;
@@ -10,9 +10,6 @@ import javax.ws.rs.QueryParam;
 import javax.ws.rs.core.MediaType;
 import javax.ws.rs.core.MultivaluedMap;
 
-import com.netscape.cms.servlet.key.model.KeyData;
-import com.netscape.cms.servlet.key.model.KeyDataInfos;
-import com.netscape.cms.servlet.request.model.KeyRecoveryRequest;
 
 @Path("agent/keys")
 public interface KeyResource {
diff --git a/base/common/src/com/netscape/cms/servlet/profile/model/PolicyConstraint.java b/base/common/src/com/netscape/certsrv/profile/PolicyConstraint.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/profile/model/PolicyConstraint.java
rename to base/common/src/com/netscape/certsrv/profile/PolicyConstraint.java
index 588431a83e1b25116210d3faa6382b35046e7d9e..8b43661a2c4ba2a4bd1774d0aac9d1852a0dab63 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/model/PolicyConstraint.java
+++ b/base/common/src/com/netscape/certsrv/profile/PolicyConstraint.java
@@ -15,7 +15,7 @@
 // (C) 2012 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.profile.model;
+package com.netscape.certsrv.profile;
 
 import java.util.ArrayList;
 import java.util.List;
diff --git a/base/common/src/com/netscape/cms/servlet/profile/model/PolicyConstraintValue.java b/base/common/src/com/netscape/certsrv/profile/PolicyConstraintValue.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/profile/model/PolicyConstraintValue.java
rename to base/common/src/com/netscape/certsrv/profile/PolicyConstraintValue.java
index 7b60e7ea6228a262bebbd1b0cbcc08797b4e4dcf..5241ad8323c55f755357065f4b9baa040f59ff45 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/model/PolicyConstraintValue.java
+++ b/base/common/src/com/netscape/certsrv/profile/PolicyConstraintValue.java
@@ -15,7 +15,7 @@
 // (C) 2012 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.profile.model;
+package com.netscape.certsrv.profile;
 
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
diff --git a/base/common/src/com/netscape/cms/servlet/profile/model/PolicyDefault.java b/base/common/src/com/netscape/certsrv/profile/PolicyDefault.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/profile/model/PolicyDefault.java
rename to base/common/src/com/netscape/certsrv/profile/PolicyDefault.java
index 2c66fc9dcbf70efd1a3fd88c5093443ecf642d99..2b95cf5f00af87451ed302b0bd4a7ef5c226b24b 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/model/PolicyDefault.java
+++ b/base/common/src/com/netscape/certsrv/profile/PolicyDefault.java
@@ -15,7 +15,7 @@
 // (C) 2012 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.profile.model;
+package com.netscape.certsrv.profile;
 
 import java.util.ArrayList;
 import java.util.List;
diff --git a/base/common/src/com/netscape/cms/servlet/profile/model/ProfileAttribute.java b/base/common/src/com/netscape/certsrv/profile/ProfileAttribute.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/profile/model/ProfileAttribute.java
rename to base/common/src/com/netscape/certsrv/profile/ProfileAttribute.java
index 616c0695d423113dfd3a4683f7cd14ab9d61ed3a..9c889bb8a1881a241f0d079c66f51385e9427cec 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/model/ProfileAttribute.java
+++ b/base/common/src/com/netscape/certsrv/profile/ProfileAttribute.java
@@ -15,7 +15,7 @@
 // (C) 2012 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.profile.model;
+package com.netscape.certsrv.profile;
 
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
diff --git a/base/common/src/com/netscape/cms/servlet/profile/model/ProfileData.java b/base/common/src/com/netscape/certsrv/profile/ProfileData.java
similarity index 98%
rename from base/common/src/com/netscape/cms/servlet/profile/model/ProfileData.java
rename to base/common/src/com/netscape/certsrv/profile/ProfileData.java
index 7f7f26b2929776ac8f435f56ec775e1ff497b3a7..465981add8bc81c2f77051e031a83234aaf54179 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/model/ProfileData.java
+++ b/base/common/src/com/netscape/certsrv/profile/ProfileData.java
@@ -19,7 +19,7 @@
 /**
  *
  */
-package com.netscape.cms.servlet.profile.model;
+package com.netscape.certsrv.profile;
 
 import java.util.ArrayList;
 import java.util.Iterator;
diff --git a/base/common/src/com/netscape/cms/servlet/profile/model/ProfileDataInfo.java b/base/common/src/com/netscape/certsrv/profile/ProfileDataInfo.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/profile/model/ProfileDataInfo.java
rename to base/common/src/com/netscape/certsrv/profile/ProfileDataInfo.java
index d5083c7a4c690ef905c530d70fe0642b7b33351d..22062309d979ab9430de8e9d4f4d2e8fbd1bf19b 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/model/ProfileDataInfo.java
+++ b/base/common/src/com/netscape/certsrv/profile/ProfileDataInfo.java
@@ -16,7 +16,7 @@
 //All rights reserved.
 //--- END COPYRIGHT BLOCK ---
 
-package com.netscape.cms.servlet.profile.model;
+package com.netscape.certsrv.profile;
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
 import javax.xml.bind.annotation.XmlElement;
diff --git a/base/common/src/com/netscape/cms/servlet/profile/model/ProfileDataInfos.java b/base/common/src/com/netscape/certsrv/profile/ProfileDataInfos.java
similarity index 96%
rename from base/common/src/com/netscape/cms/servlet/profile/model/ProfileDataInfos.java
rename to base/common/src/com/netscape/certsrv/profile/ProfileDataInfos.java
index e14ac6641de3356d89a3653f12060a3564802453..ed2c11cf7f84401ce9204a8edf9fa4c0589aa389 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/model/ProfileDataInfos.java
+++ b/base/common/src/com/netscape/certsrv/profile/ProfileDataInfos.java
@@ -15,7 +15,7 @@
 //(C) 2012 Red Hat, Inc.
 //All rights reserved.
 //--- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.profile.model;
+package com.netscape.certsrv.profile;
 
 import java.util.Collection;
 import java.util.List;
@@ -24,7 +24,7 @@ import javax.xml.bind.annotation.XmlElementRef;
 import javax.xml.bind.annotation.XmlRootElement;
 import javax.xml.bind.annotation.XmlTransient;
 
-import com.netscape.cms.servlet.base.model.Link;
+import com.netscape.certsrv.base.Link;
 
 @XmlRootElement(name = "ProfileDataInfos")
 public class ProfileDataInfos {
diff --git a/base/common/src/com/netscape/cms/servlet/profile/model/ProfileInput.java b/base/common/src/com/netscape/certsrv/profile/ProfileInput.java
similarity index 98%
rename from base/common/src/com/netscape/cms/servlet/profile/model/ProfileInput.java
rename to base/common/src/com/netscape/certsrv/profile/ProfileInput.java
index 631a013ccabb00c3e837612c50d4e43e3ac6022b..64d2aafdbbdd22136f39740df088d70ad566af4a 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/model/ProfileInput.java
+++ b/base/common/src/com/netscape/certsrv/profile/ProfileInput.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.profile.model;
+package com.netscape.certsrv.profile;
 
 import java.util.ArrayList;
 import java.util.LinkedHashMap;
diff --git a/base/common/src/com/netscape/cms/servlet/profile/ProfileNotFoundException.java b/base/common/src/com/netscape/certsrv/profile/ProfileNotFoundException.java
similarity index 95%
rename from base/common/src/com/netscape/cms/servlet/profile/ProfileNotFoundException.java
rename to base/common/src/com/netscape/certsrv/profile/ProfileNotFoundException.java
index e597f471e87829fe5785dc619777ce5d09cc84a0..7a1c9ea62830b4e5d94812eea6ca3913bf5d9157 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/ProfileNotFoundException.java
+++ b/base/common/src/com/netscape/certsrv/profile/ProfileNotFoundException.java
@@ -15,11 +15,11 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.profile;
+package com.netscape.certsrv.profile;
 
 import javax.ws.rs.core.Response;
 
-import com.netscape.cms.servlet.base.PKIException;
+import com.netscape.certsrv.base.PKIException;
 
 public class ProfileNotFoundException extends PKIException {
 
diff --git a/base/common/src/com/netscape/cms/servlet/profile/model/ProfileOutput.java b/base/common/src/com/netscape/certsrv/profile/ProfileOutput.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/profile/model/ProfileOutput.java
rename to base/common/src/com/netscape/certsrv/profile/ProfileOutput.java
index f27db4101d92794aedef6f1ecd3dcd6c0ba33d99..2e25f619d2f2860fe493dc595b81497309ab608a 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/model/ProfileOutput.java
+++ b/base/common/src/com/netscape/certsrv/profile/ProfileOutput.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.profile.model;
+package com.netscape.certsrv.profile;
 
 import java.util.ArrayList;
 import java.util.List;
diff --git a/base/common/src/com/netscape/cms/servlet/profile/model/ProfilePolicy.java b/base/common/src/com/netscape/certsrv/profile/ProfilePolicy.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/profile/model/ProfilePolicy.java
rename to base/common/src/com/netscape/certsrv/profile/ProfilePolicy.java
index a24f936195e13bafc282262e59a2973d9549a6cf..d5f84f188b17ff59e36d122c13aa8f90994a206a 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/model/ProfilePolicy.java
+++ b/base/common/src/com/netscape/certsrv/profile/ProfilePolicy.java
@@ -15,7 +15,7 @@
 //(C) 2012 Red Hat, Inc.
 //All rights reserved.
 //--- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.profile.model;
+package com.netscape.certsrv.profile;
 
 import java.io.ByteArrayOutputStream;
 
diff --git a/base/common/src/com/netscape/cms/servlet/profile/model/ProfilePolicySet.java b/base/common/src/com/netscape/certsrv/profile/ProfilePolicySet.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/profile/model/ProfilePolicySet.java
rename to base/common/src/com/netscape/certsrv/profile/ProfilePolicySet.java
index 784f5670d87760fbfc318824d21020d3f2dcc127..6c1dc2b9dc4e3780cbac3b18a3580bf3afc04b4b 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/model/ProfilePolicySet.java
+++ b/base/common/src/com/netscape/certsrv/profile/ProfilePolicySet.java
@@ -15,7 +15,7 @@
 //(C) 2012 Red Hat, Inc.
 //All rights reserved.
 //--- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.profile.model;
+package com.netscape.certsrv.profile;
 
 import java.util.ArrayList;
 import java.util.List;
diff --git a/base/common/src/com/netscape/cms/servlet/profile/ProfileResource.java b/base/common/src/com/netscape/certsrv/profile/ProfileResource.java
similarity index 87%
rename from base/common/src/com/netscape/cms/servlet/profile/ProfileResource.java
rename to base/common/src/com/netscape/certsrv/profile/ProfileResource.java
index cc32234b278e3c03b58b82509fb58399562862bf..6dadef560d5f7a2dfc6024b6874fe42b72bf7ed4 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/ProfileResource.java
+++ b/base/common/src/com/netscape/certsrv/profile/ProfileResource.java
@@ -1,4 +1,4 @@
-package com.netscape.cms.servlet.profile;
+package com.netscape.certsrv.profile;
 
 import javax.ws.rs.GET;
 import javax.ws.rs.Path;
@@ -6,8 +6,6 @@ import javax.ws.rs.PathParam;
 import javax.ws.rs.Produces;
 import javax.ws.rs.core.MediaType;
 
-import com.netscape.cms.servlet.profile.model.ProfileData;
-import com.netscape.cms.servlet.profile.model.ProfileDataInfos;
 
 @Path("agent/profiles")
 public interface ProfileResource {
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/ProfileRetrievalRequest.java b/base/common/src/com/netscape/certsrv/profile/ProfileRetrievalRequest.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/request/model/ProfileRetrievalRequest.java
rename to base/common/src/com/netscape/certsrv/profile/ProfileRetrievalRequest.java
index 8670605fc4eb5c6696823cdcdb50bbdc43cce9a9..608686b7913247730daa4a79ea7161db82873109 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/ProfileRetrievalRequest.java
+++ b/base/common/src/com/netscape/certsrv/profile/ProfileRetrievalRequest.java
@@ -19,7 +19,7 @@
 /**
  *
  */
-package com.netscape.cms.servlet.request.model;
+package com.netscape.certsrv.profile;
 
 import javax.ws.rs.core.MultivaluedMap;
 import javax.xml.bind.annotation.XmlAccessType;
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/CMSRequestInfo.java b/base/common/src/com/netscape/certsrv/request/CMSRequestInfo.java
similarity index 92%
rename from base/common/src/com/netscape/cms/servlet/request/model/CMSRequestInfo.java
rename to base/common/src/com/netscape/certsrv/request/CMSRequestInfo.java
index f06334f6b05d55822723aac5cb402dc378af6ef1..0be24fbb49df800c6718e764baf9bd4f34cd0d78 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/CMSRequestInfo.java
+++ b/base/common/src/com/netscape/certsrv/request/CMSRequestInfo.java
@@ -15,16 +15,13 @@
 //(C) 2012 Red Hat, Inc.
 //All rights reserved.
 //--- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.request.model;
+package com.netscape.certsrv.request;
 
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
 import javax.xml.bind.annotation.XmlElement;
 import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
 
-import com.netscape.certsrv.request.RequestId;
-import com.netscape.certsrv.request.RequestStatus;
-import com.netscape.certsrv.request.RequestStatusAdapter;
 @XmlAccessorType(XmlAccessType.FIELD)
 public  class CMSRequestInfo {
 
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/CMSRequestInfos.java b/base/common/src/com/netscape/certsrv/request/CMSRequestInfos.java
similarity index 94%
rename from base/common/src/com/netscape/cms/servlet/request/model/CMSRequestInfos.java
rename to base/common/src/com/netscape/certsrv/request/CMSRequestInfos.java
index 63b2e56b15e8d84335bc8e9766a2f56a81cab245..cb07caf71218b6d5e52e9267e38e526eb865ff6c 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/CMSRequestInfos.java
+++ b/base/common/src/com/netscape/certsrv/request/CMSRequestInfos.java
@@ -15,12 +15,12 @@
 //(C) 2011 Red Hat, Inc.
 //All rights reserved.
 //--- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.request.model;
+package com.netscape.certsrv.request;
 
 import java.util.Collection;
 import java.util.List;
 
-import com.netscape.cms.servlet.base.model.Link;
+import com.netscape.certsrv.base.Link;
 
 //Convenience class to simply hold a Collection of CMSRequests and a List of Links.
 public class CMSRequestInfos {
diff --git a/base/common/src/com/netscape/cms/servlet/request/RequestNotFoundException.java b/base/common/src/com/netscape/certsrv/request/RequestNotFoundException.java
similarity index 89%
rename from base/common/src/com/netscape/cms/servlet/request/RequestNotFoundException.java
rename to base/common/src/com/netscape/certsrv/request/RequestNotFoundException.java
index 6bef885f9d9269ded0aa7f711279cdfc5e094172..3db10dd3a4c4e5129e37158aa1afa3c56cf0c378 100644
--- a/base/common/src/com/netscape/cms/servlet/request/RequestNotFoundException.java
+++ b/base/common/src/com/netscape/certsrv/request/RequestNotFoundException.java
@@ -1,9 +1,8 @@
-package com.netscape.cms.servlet.request;
+package com.netscape.certsrv.request;
 
 import javax.ws.rs.core.Response;
 
-import com.netscape.certsrv.request.RequestId;
-import com.netscape.cms.servlet.base.PKIException;
+import com.netscape.certsrv.base.PKIException;
 
 public class RequestNotFoundException extends PKIException {
 
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationRequest.java b/base/common/src/com/netscape/certsrv/system/ConfigurationRequest.java
similarity index 99%
rename from base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationRequest.java
rename to base/common/src/com/netscape/certsrv/system/ConfigurationRequest.java
index b42403f4e67d4684a5dc5a53a8ae312b5edff4c3..ac29b2da7f40e790823c492e6d9cc23eec88b5ba 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationRequest.java
+++ b/base/common/src/com/netscape/certsrv/system/ConfigurationRequest.java
@@ -15,7 +15,7 @@
 // (C) 2012 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.csadmin.model;
+package com.netscape.certsrv.system;
 
 import java.util.Collection;
 
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationResponse.java b/base/common/src/com/netscape/certsrv/system/ConfigurationResponse.java
similarity index 98%
rename from base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationResponse.java
rename to base/common/src/com/netscape/certsrv/system/ConfigurationResponse.java
index 2fcd37d9dcb4f16b2be2cc26b58dfe71e7c05f58..489970c9cb8611d08c68ad3113a10710f0dca8ff 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationResponse.java
+++ b/base/common/src/com/netscape/certsrv/system/ConfigurationResponse.java
@@ -15,7 +15,7 @@
 // (C) 2012 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.servlet.csadmin.model;
+package com.netscape.certsrv.system;
 
 import java.security.cert.CertificateEncodingException;
 import java.util.ArrayList;
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/model/DomainInfo.java b/base/common/src/com/netscape/certsrv/system/DomainInfo.java
similarity index 98%
rename from base/common/src/com/netscape/cms/servlet/csadmin/model/DomainInfo.java
rename to base/common/src/com/netscape/certsrv/system/DomainInfo.java
index 7ba351cb1e1d20c3704eb9072a9d0d242f7fdf5d..50b606af38c0467cc1cda33e7899fdbc58ce35bb 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/model/DomainInfo.java
+++ b/base/common/src/com/netscape/certsrv/system/DomainInfo.java
@@ -15,7 +15,7 @@
 // (C) 2012 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK --- 
-package com.netscape.cms.servlet.csadmin.model;
+package com.netscape.certsrv.system;
 
 import javax.xml.bind.annotation.XmlElement;
 import javax.xml.bind.annotation.XmlRootElement;
